{% extends "src/common/_layout.njk" %}

{%- set page_hide_breadcrumb = true -%}
{% set title = "Типы источников" %}
{% set page_id = "9.0" %}


{% block heading %}
    <div class="content-header d-flex align-items-center justify-content-between">
        <h1 class="content-header__title">{{ title }}</h1>
        <div class="text-right">
            <div class="badge badge-circle badge-circle-lg badge-circle-success badge-data">
                <span class="badge-data__value">10</span>
                <i class="bx bx-bell-plus font-medium-4"></i>
            </div>
        </div>
    </div>

{% endblock %}

{% block main %}
    <div class="page-container">
        <div class="card">
            <div class="card-body">
                <fieldset class="form-group position-relative has-icon-left">
                    <input type="text" class="form-control" placeholder="Поиск">
                    <div class="form-control-position">
                        <i class="bx bx-search"></i>
                    </div>
                </fieldset>
                <div class="form-group">
                    <label class="pretty-checkbox mb-50 mr-1">
                        <input type="checkbox" class="pretty-checkbox__input" name="ch1" value="1">
                        <span class="pretty-checkbox__label">Игнорировать регистр</span>
                    </label>
                    <label class="pretty-checkbox mb-50 mr-1">
                        <input type="checkbox" class="pretty-checkbox__input" name="ch1" value="1">
                        <span class="pretty-checkbox__label">Точное совпадение</span>
                    </label>
                    <label class="pretty-checkbox mb-50 mr-1">
                        <input type="checkbox" class="pretty-checkbox__input" name="ch1" value="1">
                        <span class="pretty-checkbox__label">Выводить результат</span>
                    </label>
                </div><!-- .form-group -->
                <div class="form-group d-flex align-items-center flex-wrap">
                    <button class="btn btn-primary mr-1 mb-1">Поиск</button>
                    <button class="btn btn-secondary mr-1 mb-1">Очистить</button>
                </div><!-- .form-group -->

                <div class="row">
                    <div class="col-sm-12 col-lg-8">
                        <div class="treeview" id="source-tree"></div>
                    </div>
                    <div class="col-sm-12 col-lg-4 pt-1">
                        Результат
                    </div>
                </div>
                <div class="pt-50 font-size-small">*- система не содержит персональных данных, только публично обнародованные общедоступные рабочие контакты</div>

            </div>
        </div>
    </div>
{% endblock %}

{% block scripts %}
    <script>

        let  mainSourceTree = function (){
            let $blue = '#A5B2CC';

            let sourceData = [{
                text: 'Типы источников',
                href: '#parent1',
                tags: ['4'],
                nodes: [{
                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Российские</span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                    href: '#child1',
                    tags: ['2'],
                    nodes: [
                        {
                            text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Федеральная пресса</span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                            href: '#cfo',
                            tags: ['0'],
                        },
                        {
                            text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Интренет СМИ</span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                            href: '#ufo',
                            tags: ['0'],
                            nodes: [
                                {
                                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Сайты, Печатные издания </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                    href: '#',
                                    tags: ['kk']
                                },
                                {
                                    text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Сайты, информационные агенства </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                    href: '#',
                                    tags: ['sk']
                                }
                            ]
                        },
                        {
                            text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Сайты </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                            href: '#',
                            tags: ['0']
                        }]
                },
                    {
                        text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Зарубежные </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                        href: '#',
                        tags: ['0'],
                        nodes: [
                            {
                                text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Зарубежные </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                href: '#',
                                tags: ['0']
                            },
                            {
                                text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Печатные издания </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                href: '#',
                                tags: ['0']
                            },
                            {
                                text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Блоги </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                href: '#',
                                tags: ['0']
                            },
                            {
                                text: '<div class="d-flex flex-wrap justify-content-between align-items-center flex-grow-1"><span>Сайты </span><div><div class="d-flex"><button class="btn btn-gray btn-sm mr-25">+</button><button class="btn btn-gray btn-sm">ред</button></div>',
                                href: '#',
                                tags: ['0']
                            },
                        ]
                    }
                ]
            }];

            let sourceTree = $('#source-tree').treeview({
                selectedBackColor: [$blue],
                data: sourceData,
                showIcon: false,
                showCheckbox: false,
            });
        };
        mainSourceTree();
    </script>
{% endblock %}

